Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class HealthCareProfessional

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.IndividualType
          be.fgov.ehealth.aa.complextype.v1.HealthCareProfessional

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:05:18+01:00",
               comments="JAXB RI v2.2.11")
    public class HealthCareProfessional

extends IndividualType
implements Serializable

Identifier(s), name(s) and profession(s) of a healthcare professional.

Java class for HealthCareProfessionalType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="HealthCareProfessionalType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}IndividualType">
           <sequence>
             <element name="Profession" type="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionTypeV3" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`HealthCareProfessional()`

Method Summary
`List<ProfessionV3>` | `getProfessions()` Gets the value of the professions property.

Methods inherited from class be.fgov.ehealth.aa.complextype.v1.IndividualType
`getBirthDate, getDeathDate, getFirstName, getGender, getLanguage, getLastName, getMiddleNames, getSSIN, setBirthDate, setDeathDate, setFirstName, setGender, setLanguage, setLastName, setMiddleNames, setSSIN`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HealthCareProfessional

    public HealthCareProfessional()

Method Detail

### getProfessions

    public List<ProfessionV3> getProfessions()

  Gets the value of the professions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the professions property.

  For example, to add a new item, do as follows:

          getProfessions().add(newItem);

  Objects of the following type(s) are allowed in the list `ProfessionV3`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.